2007-08-10 Erwann Chenede - <erwann.chenede@sun.com>

	* configure.in : bumped version to 0.9.20
	* blueprint/Theme/blueprint-render.c : added 
	  sanity checks. Fix 6591463

2007-08-01 Erwann Chenede - <erwann.chenede@sun.com>

	* configure.in : bumped version to 0.9.19
	* Theme/blueprint-draw.c :
	* gtk-2.0/textfieldinnerfield.png : fix for 6372959

2007-01-26 Padraig O'Briain - <padraig.obriain@sun.com>

	* configure.in : bumped version to 0.9.18

2007-01-24 Padraig O'Briain - <padraig.obriain@sun.com>

	* index.theme.in: Update comment for JDS Nevada UI Specification.
	This fixes bug 6510651
	* configure.in: Remove AM_PROG_INTLTOOL as intltool is already 
	registered with AC_CONFIG_COMMANDS.
	* Po/Makefile.in.in: Add -s to intltool command to ensure that 
	output files are generated.

2006-01-09 Erwann Chenede - <erwann.chenede@sun.com>

	* icons/48x48/apps/gnome-main-menu.png : changed to new launch button
	* configure.in : bumped version
	
2005-04-13 Erwann Chenede - <erwann.chenede@sun.com>

	* icons/48x48/apps/gnome-main-menu.png : changed to new launch button
	* configure.in : bumped version

2005-04-07 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/gtk-2.0/gtkrc*: changed menu gradient color.
	* icons/48x48/apps/gnome-main-menu.png : changed to new launch button

2005-04-01 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/gtk-2.0/gtkrc*: revert to new menu gradient color.
	* icons/48x48/apps/gnome-main-menu.png : changed to new launch button
	* configure.in: Bumped release  (This is NOT a Fools joke alas)

2005-03-02 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/gtk-2.0/gtkrc*: fix for 6234777.
	* configure.in: Bumped release


2005-02-11 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/gtk-2.0/gtkrc*: fix for 6228324
	* configure.in: Bumped release

2005-01-28 Muktha - <muktha.narayan@wipro.com>
	
	* icons/48x48/apps/Makefile.am: Installed panel icons
	  to fix #5088581.
	* Merged blueprint-01-g11n-icon.diff
	* configure.in: Bumped release.

2005-01-26 Erwann Chenede - <erwann.chenede@sun.com>

        * Theme/gtk-2.0/gtkrc*: revert to old menu gradient color.
	* configure.in: Bumped release  

2005-01-26 Erwann Chenede - <erwann.chenede@sun.com>

        * Theme/gtk-2.0/gtkrc*: revert to old menu gradient color.
	* configure.in: Bumped release  

2004-11-25 Erwann Chenede - <erwann.chenede@sun.com>

        * Theme/gtk-2.0/gtkrc*: changed the menu gradient color for 
	  the new branding.
	* configure.in: Bumped release  

2004-10-29 Erwann Chenede - <erwann.chenede@sun.com>

        * Theme/gtk-2.0/gtkrc*: fix for 5084581.

2004-10-19 Erwann Chenede - <erwann.chenede@sun.com>
	
	* metacity/metacity-theme-1.xml: colorized the unfocused 
	  buttons in white to fix bug 5097259.
	* configure.in: Bumped release  

2004-06-22 Erwann Chenede - <erwann.chenede@sun.com>

	* configure.in: Bumped release
	* Theme/gtk-2.0/gtkrc
	  Theme/gtk-2.0/generalButtonDwn.png : fix for 4980321

2004-06-17 Erwann Chenede - <erwann.chenede@sun.com>

	* added new version of already existing icons.

2004-06-08 Erwann Chenede - <erwann.chenede@sun.com>

	* icons/48x48/*: added new icons for bug 5052922.
	* Theme/gtk-2.0/gtkrc* : added fix for 5059540.

2004-06-02  Glynn Foster  <glynn.foster@sun.com>

	* configure.in: Bump to intltool 0.29
	* index.theme, intltool-extract.in, intltool-merge.in,
	  intltool-update.in: Remove autogenerated files.

2004-06-02  Glynn Foster  <glynn.foster@sun.com>

	* metacity/Makefile.am: Revert dist-hook change, although needed to
	pass 'make distcheck', it's not quite right.
	
2004-06-02  Glynn Foster  <glynn.foster@sun.com>

	* configure.in : bumped version for release.

2004-05-11  Glynn Foster  <glynn.foster@sun.com>

	* configure.in: Add new dirs.

2004-04-08 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/gtk-2.0/iconrc.in : added new stock icons dependency.
	* Theme/gtk-2.0/gtkrc : Changed the default color from #cccccc to
	  #e6e6e6
	* Theme/gtk-2.0/* : propagated stock icons changes to alternate themes
	* icons/48x48/*/*.png : added huge new batch of icons.
	* icons/stock/*/* : added huge new batck of stock icons.
	* configure.in : bump version to 0.9.4

2004-02-20 Erwann Chenede - <erwann.chenede@sun.com>

        * configure.in : bumped version for release.

2004-02-18 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/blueprint-main.c (theme_exit) 
	  Theme/blueprint-render.c (blueprint_clear_pb_cache)
	  Theme/blueprint.h : fix for 4982789 for the moment
	  do not unref pixbuf on exit.
	* Theme/gtk-2.0/Makefile.am : all rm symlinks before 
	  creating them

2004-01-20 Erwann Chenede - <erwann.chenede@sun.com>

        * Makefile.am autogen.sh blueprint.spec.in configure.in
	  index.theme icons/Makefile.am icons/index.theme
	  index.theme.in intltool-extract.in intltool-merge.in
	  intltool-update.in icons/index.theme.in po/.cvsignore
	  po/ChangeLog po/POTFILES.in po/de.po po/es.po po/fr.po
	  po/it.po po/ja.po po/ko.po po/pl.po po/pt_BR.po po/ru.po
	  po/sv.po po/zh_CN.po po/zh_HK.po po/zh_TW.po :
	  integrated localization fixes from Takao Fujiwara <takao.fujiwara@sun.com>
	  with modification.

2004-01-12 Erwann Chenede - <erwann.chenede@sun.com>

	* configure.in : bumped release
	* Theme/blueprint-draw.c : (draw_box) special case for
	  Progress Bar. (Fix for 4976233)
        * Theme/gtk-2.0/Makefile.am : removed unused images.
	* Theme/gtk-2.0/gtkrc* : fix for 4976233 & 4899136
	* Theme/gtk-2.0/textfieldShadow.png
	* Theme/gtk-2.0/textfieldinnerfield.png : fix for 4899136.
	
2004-01-09 Erwann Chenede - <erwann.chenede@sun.com>

	* configure.in : bumped release 
	* Theme/blueprint-draw.c :  (match_theme_image) 
	  fixed parent_type image matching.
	  (draw_handle) added special case for panel handle.
	* Theme/blueprint-main.c : (theme_init)
	  free cached images when exiting theme.
	* Theme/blueprint-rc-style.c : (theme_parse_parent_type)
	  removed unused variable.
	* Theme/blueprint-render.c : (blueprint_render)
	  optimization :- rendering is now done in a GdkPixbuf as 
	  oppose to rendered directly region by region to XWindow.
	  Scaled images are also cached per ThemeBlueprint struct.
	* Theme/gtk-2.0/gtkrc : fixed insensitive scrollbar problem 
	  reported by Glynn. Fixed arrow drawing only in one direction
	  in menus. Fixed handlebar rendering problems by adding special
	  cases for dockitem and handlebar in the panel. 

2003-12-11 Erwann Chenede - <erwann.chenede@sun.com>
      
	* Theme/gtk-2.0/gtkrc[|-Sand|-Ice|-Green] : changed the bg[SELECTED]
	  to reflect the correspondant metacity theme color
	* metacity/Makefile.am : remove the alternate themes
	* metacity/metacity-1.xml : the colorize color is now bg[SELECTED]

2003-12-11 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/gtk-2.0/Makefile.am: removed alternate themes.

2003-11-26 Erwann Chenede - <erwann.chenede@sun.com>
	
	* metacity/*.xml : more comprehensive fix for the utility
	  and border window type

2003-11-26 Erwann Chenede - <erwann.chenede@sun.com>

	* metacity/*.xml : Fix from Hidetoshi Tajima for 
	  bug 4959244.

2003-10-30 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/gtk-2.0/gtkrc-* : removed pixmap_path
	* icons/48x48/apps/Makefile.am : removed duplicate

2003-10-30 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/gtk-2.0/textfieldShadow.png
	* Theme/gtk-2.0/textfieldinnerfield.png : minor image tweak.
	* configure.in : bumped version.

2003-10-30 Erwann Chenede - <erwann.chenede@sun.com>

	* Theme/blueprint-draw.c 
	* Theme/blueprint-rc-style.c
	* Theme/blueprint-render.c : some code cleanup.

2003-10-23 Erwann Chenede - <erwann.chenede@sun.com>

        * Theme/blueprint-draw.c : dirty hack for gdm :(
	* configure.in : bumped the version.

2003-10-21 Erwann Chenede - <erwann.chenede@sun.com>

	* blueprint.spec.in 
	* icons/48x48/Makefile.am : moved the copy of icons
	  in the spec file instead of the makefile.
	* configure.in : bumped version.

2003-10-10 Erwann Chenede - <erwann.chenede@sun.com>

	* * gtkrc files : new stripe values

2003-10-06 Erwann Chenede - <erwann.chenede@sun.com>
	* Theme/blueprint-render.c: fix for 4910042.
	* blueprint/configure.in: bumped version.
       
2003-09-29 Erwann Chenede - <erwann.chenede@sun.com>

        * icons/48x48/filesystems/Makefile.am
          icons/48x48/filesystems/gnome-fs-directory-accept.png:
	  added new icon.
	* blueprint/configure.in: bumped version.

2003-09-29 Erwann Chenede - <erwann.chenede@sun.com>
       * Theme/gtk-2.0/radioActivePrelight.png: forgot to add the 
	 new image.

2003-09-18 Erwann Chenede - <erwann.chenede@sun.com>
       * Theme/gtk-2.0/radio*.png: 
	 added missing radio image and modified the others.
       * Theme/gtk-2.0/gtkrc* : fix for 4902021 and 4902014

2003-09-17 Erwann Chenede - <erwann.chenede@sun.com>

       * gtkrc files : fix for 4902018 and the new 
	 gnome menu stripe.
       * metacity/metacity-theme-1.xml :
	 fix for 4923865.
2003-09-16 Erwann Chenede - <erwann.chenede@sun.com>

       * blueprint-render.c : fix for 4910042, 4916535.
       * gtkrc files : fix for 4917213.
       * metacity/metacity-theme-1.xml : fix for 4916547.

2003-09-08 Erwann Chenede - <erwann.chenede@sun.com>
	
       * Theme/blueprint-draw.c: removed unneeded alignment.
       * Theme/gtk-2.0: workaround for 4912298
       * added branded icon for evolution-1.4
      
2003-08-19 Erwann Chenede - <erwann.chenede@sun.com>
      
       * icons: copy the icons to /usr/share/pixmaps
       * metacity: renamed the alternate themes
		   fixed 4902758 4908821
       * gtk: removed metatheme, renamed alternate themes
      
2003-08-08 Erwann Chenede - <erwann.chenede@sun.com>

       * icons: integrated all the new icons
       * fixed: bug 4903356 4902024
       * gtk: renamed the alternative themes.

2003-08-07 Erwann Chenede - <erwann.chenede@sun.com>

       * metacity/Makefile.am : fixed dist problem.
       * blueprint.spec.in : bumped the version.
       
2003-08-07 Erwann Chenede - <erwann.chenede@sun.com>

       * COPYING : changed to correct license.

2003-08-01 Erwann Chenede - <erwann.chenede@sun.com>
       * Theme/blueprint-draw.c
	 Theme/blueprint-render.c 
	 Theme/gtk-2.0/gtkrc
	 Theme/gtk-2.0/gtkrc-blueishprint
	 Theme/gtk-2.0/gtkrc-brownprint
	 Theme/gtk-2.0/gtkrc-darkprint
	 Theme/gtk-2.0/gtkrc-greenishprint
	 Theme/gtk-2.0/gtkrc-sandprint
	 Theme/gtk-2.0/gtkrc-whiteishprint :
	 fix for bug 4893397 : ajusted default colors, fixed
	 evolution Druid special case, remove workaround for
	 Druid check boxes.
       * metacity/blueishprint.xml
	 metacity/button-max-icon.png
	 button-unmax-icon.png
	 metacity/greenprint.xml
	 metacity/metacity-theme-1.xml
	 metacity/sandprint.xml :
	 fix for 4899290 : changed border type frame to look 
	 similar to the normal frame.
	 fixed the inverted maximized/unmaximized button.
	 added red colorize for pressed close button.

2003-07-29 Erwann Chenede - <erwann.chenede@sun.com>

       * Theme/blueprint-draw.c: added a special case to handle the
	 druid page prelight.
	 
2003-07-28 Erwann Chenede - <erwann.chenede@sun.com>

       * partial redesign the gtk theme + alternative themes:
       Modified Files:
	ChangeLog blueprint.spec.in configure.in
	Theme/blueprint-draw.c Theme/gtk-2.0/Makefile.am
	Theme/gtk-2.0/comboBoxButton.png
	Theme/gtk-2.0/comboBoxButtonActive.png
	Theme/gtk-2.0/comboBoxButtonPrelight.png
	Theme/gtk-2.0/extensionBottom.png
	Theme/gtk-2.0/extensionLeft.png
	Theme/gtk-2.0/extensionRight.png
	Theme/gtk-2.0/extensionTop.png Theme/gtk-2.0/generalButton.png
	Theme/gtk-2.0/generalButtonDwn.png Theme/gtk-2.0/gtkrc
	Theme/gtk-2.0/horzScrollBkg.png
	Theme/gtk-2.0/horzScrollGrip.png
	Theme/gtk-2.0/horzScrollInd.png Theme/gtk-2.0/menu.png
	Theme/gtk-2.0/menuBorderButton.png
	Theme/gtk-2.0/menuSeparator.png Theme/gtk-2.0/menuitem.png
	Theme/gtk-2.0/menuitembar.png Theme/gtk-2.0/spin_down.png
	Theme/gtk-2.0/spin_downActive.png
	Theme/gtk-2.0/spin_downPrelight.png Theme/gtk-2.0/spin_up.png
	Theme/gtk-2.0/spin_upActive.png
	Theme/gtk-2.0/spin_upPrelight.png Theme/gtk-2.0/tabBottom.png
	Theme/gtk-2.0/tabBottomActive.png Theme/gtk-2.0/tabLeft.png
	Theme/gtk-2.0/tabLeftActive.png Theme/gtk-2.0/tabRight.png
	Theme/gtk-2.0/tabRightActive.png Theme/gtk-2.0/tabTop.png
	Theme/gtk-2.0/tabTopActive.png Theme/gtk-2.0/toolbar.png
	Theme/gtk-2.0/vertHandle.png Theme/gtk-2.0/vertScrollGrip.png
	Theme/gtk-2.0/vertScrollInd.png Theme/gtk-2.0/vertStepDwn.png
	Theme/gtk-2.0/vertStepDwnPress.png
	Theme/gtk-2.0/vertStepUp.png Theme/gtk-2.0/vertStepUpPress.png
	metacity/Makefile.am metacity/blueishprint.xml
	metacity/greenprint.xml metacity/metacity-theme-1.xml
	metacity/sandprint.xml
      Added Files:
	Theme/gtk-2.0/comboBoxButtonInsensitive.png
	Theme/gtk-2.0/generalButtonInsensitive.png
	Theme/gtk-2.0/generalButtonPrelight.png
	Theme/gtk-2.0/gtkrc-blueishprint
	Theme/gtk-2.0/gtkrc-brownprint Theme/gtk-2.0/gtkrc-darkprint
	Theme/gtk-2.0/gtkrc-greenishprint Theme/gtk-2.0/gtkrc-no-color
	Theme/gtk-2.0/gtkrc-sandprint
	Theme/gtk-2.0/gtkrc-whiteishprint Theme/gtk-2.0/horzHandle.png
	Theme/gtk-2.0/horzHandleGrip.png Theme/gtk-2.0/horzStepLft.png
	Theme/gtk-2.0/horzStepLftButton.png
	Theme/gtk-2.0/horzStepLftButtonPress.png
	Theme/gtk-2.0/horzStepLftPress.png
	Theme/gtk-2.0/horzStepRht.png
	Theme/gtk-2.0/horzStepRhtButton.png
	Theme/gtk-2.0/horzStepRhtButtonPress.png
	Theme/gtk-2.0/horzStepRhtPress.png
	Theme/gtk-2.0/index.blueishprint
	Theme/gtk-2.0/index.brownprint Theme/gtk-2.0/index.darkprint
	Theme/gtk-2.0/index.greenishprint
	Theme/gtk-2.0/index.sandprint
	Theme/gtk-2.0/index.whiteishprint
	Theme/gtk-2.0/spin_downInsensitive.png
	Theme/gtk-2.0/spin_downMask.png
	Theme/gtk-2.0/spin_upInsensitive.png
	Theme/gtk-2.0/spin_upMask.png
	Theme/gtk-2.0/vertStepDownButton.png
	Theme/gtk-2.0/vertStepDwnButton.png
	Theme/gtk-2.0/vertStepDwnButtonPress.png
	Theme/gtk-2.0/vertStepUpButton.png
	Theme/gtk-2.0/vertStepUpButtonPress.png

	 
2003-07-23 Erwann Chenede - <erwann.chenede@sun.com>
       * Theme dir :
       - added overlay_recolorable and overlay_colorize_color
       - made the rounded textfield, combobox, spinner inherit
	 directly the proper background (with a special case 
	 for gnome druids).
       - Add new mask file needed.

2003-07-22 Erwann Chenede - <erwann.chenede@sun.com>
      
       * metacity dir : 
	- changed the button rendering 
	- added alternative themes (blueishprint, sandprint, greenprint).

2003-07-21 Erwann Chenede - <erwann.chenede@sun.com>
       * blueprint.spec.in : mirrored Mark's changes 
	 to the spec file

2003-07-18 Erwann Chenede - <erwann.chenede@sun.com>

       * Theme/blueprint-draw.c :(match_theme_image):
	 check for string before doing a strcmp.

2003-07-15  Mark McLoughlin  <mark@skynet.ie>

	* Theme/blueprint-render.c: make pixbuf_cache
	static.

2003-07-09 Erwann Chenede - <erwann.chenede@sun.com>
	* bumped version for the icon change

2003-07-07  Mark McLoughlin  <mark@skynet.ie>

	* Theme/blueprint-draw.c: (draw_layout):
	* Theme/gtk-2.0/gtkrc: make the menu items
	themed with PanelMenu widgets.

2003-06-04 Erwann Chenede - <erwann.chenede@sun.com>
- added new menu design

